StaticMarkerBinder (SLF4J 1.7.25 API)
Date: 2017-03-16

org.slf4j.impl

## Class StaticMarkerBinder

- java.lang.Object
- - org.slf4j.impl.StaticMarkerBinder

- All Implemented Interfaces:
    MarkerFactoryBinder

      public class StaticMarkerBinder
      extends Object
      implements MarkerFactoryBinder

  The binding of `MarkerFactory` class with an actual instance of `IMarkerFactory` is performed using information returned by this class. This class is meant to provide a *dummy* StaticMarkerBinder to the slf4j-api module. Real implementations are found in each SLF4J binding project, e.g. slf4j-nop, slf4j-simple, slf4j-log4j12 etc.
  Author:
    Ceki Gülcü

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StaticMarkerBinder` | `SINGLETON` The unique instance of this class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMarkerFactory` | `getMarkerFactory()` Currently this method always returns an instance of `BasicMarkerFactory`.
    `String` | `getMarkerFactoryClassStr()` Currently, this method returns the class name of `BasicMarkerFactory`.
    `static StaticMarkerBinder` | `getSingleton()` Return the singleton of this class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SINGLETON

          public static final StaticMarkerBinder SINGLETON

      The unique instance of this class.

  - ### Method Detail

    - #### getSingleton

          public static StaticMarkerBinder getSingleton()

      Return the singleton of this class.
      Returns:
        the StaticMarkerBinder singleton
      Since:
        1.7.14

    - #### getMarkerFactory

          public IMarkerFactory getMarkerFactory()

      Currently this method always returns an instance of `BasicMarkerFactory`.
      Specified by:
        `getMarkerFactory` in interface `MarkerFactoryBinder`
      Returns:
        the instance of `IMarkerFactory` that `MarkerFactory` class should bind to.

    - #### getMarkerFactoryClassStr

          public String getMarkerFactoryClassStr()

      Currently, this method returns the class name of `BasicMarkerFactory`.
      Specified by:
        `getMarkerFactoryClassStr` in interface `MarkerFactoryBinder`
      Returns:
        the class name of the intended `IMarkerFactory` instance

Copyright © 2005–2017 QOS.ch. All rights reserved.